// ps4000wrap.h : Defines the entry point for the DLL application.
//
#include "ps4000Api.h"

short _ready;
short _autoStop;
unsigned long _numSamples;
unsigned long _triggeredAt = 0;
short _triggered = FALSE;

extern short __declspec(dllexport) __stdcall RunBlock(short handle, long preTriggerSamples, long postTriggerSamples, 
            unsigned long timebase, short oversample, short segmentIndex);

extern short __declspec(dllexport) __stdcall GetStreamingLatestValues(short handle);

extern unsigned long __declspec(dllexport) __stdcall AvailableData(short handle);

extern short __declspec(dllexport) __stdcall AutoStopped(short handle);

extern short __declspec(dllexport) __stdcall IsReady(short handle);

extern short __declspec(dllexport) __stdcall IsTriggerReady(short handle, unsigned long *triggeredAt);

extern short __declspec(dllexport) __stdcall ClearTriggerReady(void);

extern short __declspec(dllexport) __stdcall SetTriggerConditions(short handle, int* conditionsArray, short nConditions);

extern short __declspec(dllexport) __stdcall SetTriggerProperties(
	short handle, 
	int *propertiesArray, 
	short nProperties, 
	short auxEnable, 
	long autoTrig);

